# Zelle Simmonsbank API

## End Points

## **/zelle/contacts**

```
GET https://login.simmonsbank.com/a/consumer/api/users/<user_id>/zelle/contacts
```

**Request Headers**
```
GET /a/consumer/api/users/<user_id>/zelle/contacts HTTP/1.1
Host: login.simmonsbank.com
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/114.0
Accept: */*
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate, br
Referer: https://login.simmonsbank.com/zelle/send
content-type: application/json
DNT: 1
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: same-origin
Connection: keep-alive
Cookie: deviceId=online-4143dd29-2e5d-48f0-bb11-1f7bab083f1a; _ga=GA1.2.1594192046.1672293713; ndsSessionId=a9805476a7dd491186ec6305e477f84c; _gid=GA1.2.604206711.1690213908; ndcd=wc1.1.w-729460.1.2.6z2HuaV-0UXR6afcvlskGQ%252C%252C.zJ7H45_JsBgbg0Bnghm9SYUo0_qyKe7fUd-X9nBttodS2g99XuJKOZZFIXHWQDQ5u-cx0tVgyjDjwLVNetMAJNYyIPh98mBeYAG53wCxx2zycYwFnZ5Jal8RbEUTsijQgJdGWD7kz0ddiT6-2NPnMoHJsH2Vs851ADZ4ioBPchV0IwMf5GTxvJrBF0693Rah; ConsumerJwt=<JWT>
```

**Response Headers**
```
HTTP/1.1 200 OK
date: Mon, 24 Jul 2023 15:54:14 GMT
content-type: application/json
content-length: 804
x-request-id: 78db274309ca392dd3c1044327c58408
x-b3-traceid: cd4a6730e3ccd8da
x-b3-spanid: cd4a6730e3ccd8da
x-b3-sampled: 1
strict-transport-security: max-age=15724800; includeSubDomains
X-Firefox-Spdy: h2
```

**Response**
``` json
{
  "contacts": [
    {
      "token": {
        "type": "Email",
        "value": "northpointlumber@gmail.com"
      },
      "firstName": "Jordan",
      "lastName": "Dick",
      "hasMadePayment": true,
      "deliveryEstimate": "The money will typically be available in minutes",
      "enrolled": false,
      "zelleReady": false
    },
    {
      "token": {
        "type": "Phone",
        "value": "+19407368137"
      },
      "firstName": "Alison",
      "lastName": "Lewis",
      "paymentRailName": {
        "firstName": "Alison",
        "lastName": "Lewis"
      },
      "hasMadePayment": true,
      "deliveryEstimate": "The money will typically be available in minutes",
      "enrolled": true,
      "zelleReady": true
    }
  ]
}
```

## **/zelle/tokens**

```
GET https://login.simmonsbank.com/a/consumer/api/users/<user_id>/zelle/tokens
```

**Request Headers**
```
GET /a/consumer/api/users/<user_id>/zelle/tokens HTTP/1.1
Host: login.simmonsbank.com
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/114.0
Accept: */*
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate, br
Referer: https://login.simmonsbank.com/zelle/send
content-type: application/json
DNT: 1
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: same-origin
Connection: keep-alive
Cookie: deviceId=online-4143dd29-2e5d-48f0-bb11-1f7bab083f1a; _ga=GA1.2.1594192046.1672293713; ndsSessionId=a9805476a7dd491186ec6305e477f84c; _gid=GA1.2.604206711.1690213908; ndcd=wc1.1.w-729460.1.2.6z2HuaV-0UXR6afcvlskGQ%252C%252C.zJ7H45_JsBgbg0Bnghm9SYUo0_qyKe7fUd-X9nBttodS2g99XuJKOZZFIXHWQDQ5u-cx0tVgyjDjwLVNetMAJNYyIPh98mBeYAG53wCxx2zycYwFnZ5Jal8RbEUTsijQgJdGWD7kz0ddiT6-2NPnMoHJsH2Vs851ADZ4ioBPchV0IwMf5GTxvJrBF0693Rah; ConsumerJwt=<JWT>
```

**Response Headers**
```
HTTP/1.1 200 OK
date: Mon, 24 Jul 2023 15:54:13 GMT
content-type: application/json
content-length: 254
x-request-id: 61a420fec11a42b01e9eff8ba5c556e8
x-b3-traceid: 50fd1ed39ea63424
x-b3-spanid: 50fd1ed39ea63424
x-b3-sampled: 1
strict-transport-security: max-age=15724800; includeSubDomains
X-Firefox-Spdy: h2
```

**Response**
``` json
{
  "unenrolledTokens": [],
  "enrolledTokens": [
    {
      "token": {
        "type": "Email",
        "value": "walewis@protonmail.com"
      },
      "accountId": "cb9e6f97-720f-47fa-b0dc-a4473a427049"
    },
    {
      "token": {
        "type": "Phone",
        "value": "+19407369100"
      },
      "accountId": "cb9e6f97-720f-47fa-b0dc-a4473a427049"
    }
  ]
}
```

## **/zelle/payments**

```
POST https://login.simmonsbank.com/a/consumer/api/users/<user_id>/zelle/payments
```

**Request Headers**
```
POST /a/consumer/api/users/<user_id>/zelle/payments HTTP/1.1
Host: login.simmonsbank.com
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:109.0) Gecko/20100101 Firefox/114.0
Accept: */*
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate, br
Content-Type: application/json
Content-Length: 149
Referer: https://login.simmonsbank.com/zelle/send
Origin: https://login.simmonsbank.com
DNT: 1
Sec-Fetch-Dest: empty
Sec-Fetch-Mode: cors
Sec-Fetch-Site: same-origin
Connection: keep-alive
Cookie: deviceId=online-4143dd29-2e5d-48f0-bb11-1f7bab083f1a; _ga=GA1.2.1594192046.1672293713; ndsSessionId=a9805476a7dd491186ec6305e477f84c; _gid=GA1.2.604206711.1690213908; ndcd=wc1.1.w-729460.1.2.6z2HuaV-0UXR6afcvlskGQ%252C%252C.zJ7H45_JsBgbg0Bnghm9SYUo0_qyKe7fUd-X9nBttodS2g99XuJKOZZFIXHWQDQ5u-cx0tVgyjDjwLVNetMAJNYyIPh98mBeYAG53wCxx2zycYwFnZ5Jal8RbEUTsijQgJdGWD7kz0ddiT6-2NPnMoHJsH2Vs851ADZ4ioBPchV0IwMf5GTxvJrBF0693Rah; ConsumerJwt=<JWT>; _gat=1
```

**Request**
``` json
{
  "amount": "34",
  "fundingAccountId": "cb9e6f97-720f-47fa-b0dc-a4473a427049",
  "recipientToken": {
    "type": "Phone",
    "value": "+19405318986"
  },
  "note": "Groceries"
}
```

**Response Headers**
```
HTTP/1.1 200 OK
date: Mon, 24 Jul 2023 16:09:53 GMT
content-type: application/json
content-length: 33
x-request-id: 553743cd46ac1e0a1d3441d9b403054f
x-b3-traceid: 7c7d9b960adf4485
x-b3-spanid: 7c7d9b960adf4485
x-b3-sampled: 1
strict-transport-security: max-age=15724800; includeSubDomains
X-Firefox-Spdy: h2
```

**Response**
``` json
{
  "confirmationId": "JCXS0009p7hY"
}
```

205
28.50

1 -> 2  ....
1 -> 3  .
1 -> 4  